Search Results for

Show / Hide Table of Contents

# Class AspectGetterDelegate<T>

Delegates of this type are used to fetch string representations of user's model objects

##### Inheritance

System.Object
AspectGetterDelegate<T>

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class AspectGetterDelegate<T> : MulticastDelegate where T : class

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

#### AspectGetterDelegate(Object, IntPtr)

##### Declaration

    public AspectGetterDelegate(object object, IntPtr method)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | object |
System.IntPtr | method |

### Methods

#### BeginInvoke(T, AsyncCallback, Object)

##### Declaration

    public virtual IAsyncResult BeginInvoke(T toRender, AsyncCallback callback, object object)

##### Parameters

Type | Name | Description
--- | --- | ---
T | toRender |
System.AsyncCallback | callback |
System.Object | object |

##### Returns

Type | Description
--- | ---
System.IAsyncResult |

#### EndInvoke(IAsyncResult)

##### Declaration

    public virtual string EndInvoke(IAsyncResult result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IAsyncResult | result |

##### Returns

Type | Description
--- | ---
System.String |

#### Invoke(T)

##### Declaration

    public virtual string Invoke(T toRender)

##### Parameters

Type | Name | Description
--- | --- | ---
T | toRender |

##### Returns

Type | Description
--- | ---
System.String |